/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENETRANSACTIONMESSAGE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenetransactionmessage.findAll", query = "SELECT t FROM Tgenetransactionmessage t"),
    @NamedQuery(name = "Tgenetransactionmessage.findByJournalid", query = "SELECT t FROM Tgenetransactionmessage t WHERE t.journalid = :journalid")})
public class Tgenetransactionmessage implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "JOURNALID")
    private String journalid;
    @Lob
    @Column(name = "DATAIN")
    private String datain;
    @Lob
    @Column(name = "DATAOUT")
    private String dataout;

    public Tgenetransactionmessage() {
    }

    public Tgenetransactionmessage(String journalid) {
        this.journalid = journalid;
    }

    public String getJournalid() {
        return journalid;
    }

    public void setJournalid(String journalid) {
        this.journalid = journalid;
    }

    public String getDatain() {
        return datain;
    }

    public void setDatain(String datain) {
        this.datain = datain;
    }

    public String getDataout() {
        return dataout;
    }

    public void setDataout(String dataout) {
        this.dataout = dataout;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (journalid != null ? journalid.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenetransactionmessage)) {
            return false;
        }
        Tgenetransactionmessage other = (Tgenetransactionmessage) object;
        if ((this.journalid == null && other.journalid != null) || (this.journalid != null && !this.journalid.equals(other.journalid))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenetransactionmessage[ journalid=" + journalid + " ]";
    }
    
}
